<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:background="@color/transparent"
        android:layout_height="match_parent">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="100dp"
            app:cardCornerRadius="20dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minWidth="400dp"
                android:minHeight="400dp">

                <ImageView
                    android:id="@+id/iv_dialog_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="30dp"
                    android:src="@mipmap/cancel"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <View
                    android:layout_width="10dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="30dp"
                    android:background="#00A1FF"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:layout_margin="30dp"
                    android:text="@string/test"
                    android:textColor="#38ADFF"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:layout_width="400dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toTopOf="@+id/linearLayout9"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_title"
                    app:layout_constraintVertical_bias="0.1">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/til_input"
                        android:layout_width="400dp"
                        android:visibility="gone"
                        android:layout_marginTop="10dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/ti_input"
                            android:maxLines="1"
                            android:inputType="text|textMultiLine"
                            android:imeOptions="actionDone"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/til_spinner_1"
                        style="@style/Widget.Material3.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="400dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:visibility="gone"
                        android:layout_marginTop="10dp">

                        <AutoCompleteTextView
                            android:id="@+id/ac_input_1"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:inputType="none" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/til_spinner_2"
                        style="@style/Widget.Material3.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="400dp"
                        android:visibility="gone"
                        android:layout_marginTop="10dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center">

                        <AutoCompleteTextView
                            android:id="@+id/ac_input_2"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:inputType="none" />

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/linearLayout9"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="30dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">

                    <Button
                        style="@style/Widget.Material3.Button.OutlinedButton"
                        android:id="@+id/btn_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:visibility="gone"
                        android:layout_marginHorizontal="10dp" />

                    <Button
                        style="@style/Widget.Material3.Button.OutlinedButton"
                        android:id="@+id/btn_yes"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="10dp" />

                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>